Readable Context targets of one admitted definition for changing this task's Context. `skip` is an optional bounded page offset and must be a multiple of `take`.
GET
/api/workspace/tasks/runtime/tasks/{taskId}/context-candidates
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks/example/context-candidates?take=20&skip=0"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks/example/context-candidates?take=20&skip=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/tasks/runtime/tasks/example/context-candidates?take=20&skip=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskId
required
string
Query Parameters
Section titled “Query Parameters”moduleKey
string
resourceKind
string
contextResourceId
string
search
string
take
integer format: int32
skip
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
A bounded page with the exact total of currently readable Context targets.
object
Items
Array<object>
One selectable Context target the current actor can read within an admitted definition.
object
Identity
Stable identity of one Moltaro resource instance.
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Label
string
Subtitle
string
TotalCount
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}